API referenceSequences

List sequences

GET/sequences

Authorization

apiKey
AuthorizationBearer <token>

A project API key: Authorization: Bearer s0_…

In: header

Query Parameters

limit?integer
Range1 <= value <= 100
after?string
Length1 <= length <= 64
before?string
Length1 <= length <= 64
status?string

Value in

  • "draft"
  • "active"
  • "paused"
  • "archived"

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/sequences"
{  "object": "list",  "has_more": true,  "data": [    {      "object": "sequence",      "id": "string",      "name": "string",      "description": "string",      "status": "draft",      "trigger": {        "type": "event",        "event": "string"      },      "steps": {        "entry": "string",        "steps": {          "property1": {            "type": "delay",            "duration": {              "amount": 1,              "unit": "minutes"            },            "until_time": {              "weekdays": [                "mon"              ],              "time": "string",              "timezone": "string"            },            "until_date": {              "property": "string",              "offset": {                "amount": 1,                "unit": "minutes",                "direction": "before"              },              "time": "string",              "timezone": "string"            },            "next": "string"          },          "property2": {            "type": "delay",            "duration": {              "amount": 1,              "unit": "minutes"            },            "until_time": {              "weekdays": [                "mon"              ],              "time": "string",              "timezone": "string"            },            "until_date": {              "property": "string",              "offset": {                "amount": 1,                "unit": "minutes",                "direction": "before"              },              "time": "string",              "timezone": "string"            },            "next": "string"          }        }      },      "graph_version": 1,      "from": "string",      "reply_to": [        "string"      ],      "allow_reentry": true,      "stats": {        "active": 0,        "completed": 0,        "exited": 0      },      "activated_at": "2019-08-24T14:15:22Z",      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z"    }  ]}